import * as yup from 'yup';

export type ProjectFlockFilterType = {
  area_id: string | null;
  location_id: string | null;
  kandang_id: string | null;
  category: string | null;
  period: string | null;
};

export const ProjectFlockFilterSchema = yup.object({
  area_id: yup.string().nullable(),
  location_id: yup.string().nullable(),
  kandang_id: yup.string().nullable(),
  category: yup.string().nullable(),
  period: yup.string().nullable(),
});

export type ProjectFlockFilterValues = yup.InferType<
  typeof ProjectFlockFilterSchema
>;
